Главная Мой профиль Регистрация Выход Вход
Приветствую Вас Гость | RSS
Пятница
18.08.2017
11:59
Установка Игр в Ubuntu
[ Новые сообщения · Участники · Правила форума · Поиск · RSS ]
Страница 1 из 11
Форум » Запуск windows игр и приложений в среде Ubuntu » Wine в Ubuntu: установка и настройка » Обновление wine
Обновление wine
slo_nikДата: Суббота, 18.08.2012, 00:51 | Сообщение # 1
Любитель
Группа: Пользователи
Сообщений: 12
Репутация: 1
Статус: Offline
Добрый вечер
В статье "Установка Wine в Ubuntu 12.04" сказано, что надо отказаться от установки пакета "mono".
Сейчас пришли обновления для wine, там есть "Microsoft Windows compatibility layer(.NET compatibility) wine-mono0.0.4(новая установка)"
Вопрос в следующем, нужно ли ставить это обновление, если при первоначальной установке отказались от этого пакета?
 
SolitonДата: Суббота, 18.08.2012, 12:43 | Сообщение # 2
Модератор
Группа: Администраторы
Сообщений: 241
Репутация: 13
Статус: Offline
Если вы им не пользуетесь и даже не знаете для чего он нужен, или у вас все работает и без него, спрашивается - зачем вам устанавливать новый пакет? Решайте сами smile
 
slo_nikДата: Суббота, 18.08.2012, 22:47 | Сообщение # 3
Любитель
Группа: Пользователи
Сообщений: 12
Репутация: 1
Статус: Offline
Quote (Soliton)
Если вы им не пользуетесь и даже не знаете для чего он нужен, или у вас все работает и без него, спрашивается - зачем вам устанавливать новый пакет? Решайте сами

снял выделение с пакета "mono", остальные оставил для установки.
Во время установки обновлений выдаёт ошибку
"
Требуется установка ненадёжных пакетов
действие требует установки пакетов из недоверенных источников
подробней:
wine-gecko1.7 wine-gecko1.7:i386 wine-mono0.0.4 wine1.5 wine1.5-amd64 wine1.5-i386:i386
"
все эти обновления пришли от "Другие обновления (LP-PPA-ubuntu-wine)"....
Как с этим бороться?
 
SolitonДата: Воскресенье, 19.08.2012, 10:09 | Сообщение # 4
Модератор
Группа: Администраторы
Сообщений: 241
Репутация: 13
Статус: Offline
Очевидно отсутствую данные об открытых ключах приложений, которые не хотят обновляться. Попробуйте запустить обновление через терминал:
Code
sudo apt-get update

Увидите какие ключи не доступны, что то вроде:
Code
Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY 1234567890

Добавьте эти ключи в ручную:
Code
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com ключ

Если подключены к интернету через прокси-сервер, то выполните команду:
Code
sudo apt-key adv --recv-keys --keyserver-options http-proxy=«адрес_прокси: порт» --keyserver keyserver.ubuntu.com
ключ

Снова обновитесь:
Code
sudo apt-get update

Ошибки должны исчезнуть как в терминале, так и в "Менеджер обновлений"
 
slo_nikДата: Воскресенье, 19.08.2012, 12:24 | Сообщение # 5
Любитель
Группа: Пользователи
Сообщений: 12
Репутация: 1
Статус: Offline
Quote (Soliton)
Soliton
, благодарю за ответ, но не понадобились Ваши рекомендации.
Сегодня открыл менеджер обновлений, снял выделение с пакета "mono", нажал "установить обновления" и всё прошло нормально, без ошибок.
Ошибка вылезла теперь совершенно другая, при запуске "удаление программ wine" показало окно "обновление конфигурации...", потом вот это



закрыл эту ошибку, конфигурация обновилась...
Проверил пару программ, вроде всё работает.
Что за непонятка?
Прикрепления: 4749670.png(11Kb)


Сообщение отредактировал slo_nik - Воскресенье, 19.08.2012, 12:25
 
Форум » Запуск windows игр и приложений в среде Ubuntu » Wine в Ubuntu: установка и настройка » Обновление wine
Страница 1 из 11
Поиск:


 Copyright MyCorp © 2017
Сделать бесплатный сайт с uCoz